Bug 829971 - Review Request: samplv1 -A polyphonic sampler synthesizer with stereo fx
Review Request: samplv1 -A polyphonic sampler synthesizer with stereo fx
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-06-07 18:21 EDT by Brendan Jones
Modified: 2012-08-13 20:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 20:49:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-06-07 18:21:40 EDT
samplv1 is a polyphonic sampler synthesizer with stereo fx using the Qt toolkit. This package provides both a stand alone application and an LV2 plugin.

SRPM: http://bsjones.fedorapeople.org/samplv1-0.0.1-0.1.svn671.fc17.src.rpm
SPEC: http://bsjones.fedorapeople.org/samplv1.spec

rpmlint /home/bsjones/rpmbuild/SRPMS/samplv1-0.0.1-0.1.svn671.fc17.src.rpm /home/bsjones/rpmbuild/RPMS/x86_64/samplv1-0.0.1-0.1.svn671.fc17.x86_64.rpm /home/bsjones/rpmbuild/RPMS/x86_64/lv2-samplv1-0.0.1-0.1.svn671.fc17.x86_64.rpm
samplv1.src: W: spelling-error Summary(en_US) fx -> f, x, fix
samplv1.src: W: spelling-error %description -l en_US fx -> f, x, fix
samplv1.x86_64: W: spelling-error Summary(en_US) fx -> f, x, fix
samplv1.x86_64: W: spelling-error %description -l en_US fx -> f, x, fix
samplv1.x86_64: W: no-manual-page-for-binary samplv1_jack
lv2-samplv1.x86_64: W: spelling-error %description -l en_US synth -> synthesis
lv2-samplv1.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 7 warnings.
Comment 1 Jørn Lomax 2012-06-14 20:45:12 EDT
You might want to check the URL and the source URL
Comment 2 Brendan Jones 2012-06-14 21:42:39 EDT
Thanks. Updated the URL. Source0 is OK.

SRPM: http://bsjones.fedorapeople.org/samplv1-0.0.1-0.2.svn671.fc17.src.rpm
SPEC: http://bsjones.fedorapeople.org/samplv1.spec
Comment 3 Peter Lemenkov 2012-07-16 03:49:59 EDT
I'll review it
Comment 4 Peter Lemenkov 2012-07-16 04:06:58 EDT
Koji scratchbuild for Rawhide:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4242898

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint emits only non-critical/easyfix/bogus warnings:

work ~/Desktop: rpmlint lv2-samplv1-0.0.1-0.2.svn671.fc18.x86_64.rpm samplv1-*
lv2-samplv1.x86_64: W: spelling-error %description -l en_US synth -> synthesis
lv2-samplv1.x86_64: W: no-documentation
samplv1.src: W: spelling-error Summary(en_US) fx -> f, x, fix
samplv1.src: W: spelling-error %description -l en_US fx -> f, x, fix
samplv1.src: W: invalid-url Source0: http://www.rncbc.org/snapshots/samplv1-svn671.tar.gz HTTP Error 404: Not Found

^^^ please this this. Proper link is

http://www.rncbc.org/snapshots/old/samplv1-svn671.tar.gz

Note "old/" as a part of the link. Also new version is available:

http://www.rncbc.org/snapshots/samplv1-0.0.8svn759.tar.gz

samplv1.x86_64: W: spelling-error Summary(en_US) fx -> f, x, fix
samplv1.x86_64: W: spelling-error %description -l en_US fx -> f, x, fix
samplv1.x86_64: W: no-manual-page-for-binary samplv1_jack
4 packages and 0 specfiles checked; 0 errors, 8 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv2 or later, as stated in the source files).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.

+/- The sources used to build the package, match the upstream source. Please take a look at my note regarding wrong link.

sulaco ~/rpmbuild/SOURCES: sha256sum samplv1-svn671.tar.gz*
6177006a34c7ef1ba456f71d95dd6f47c55f4a6b044b01845082e4915b9ee3be  samplv1-svn671.tar.gz
6177006a34c7ef1ba456f71d95dd6f47c55f4a6b044b01845082e4915b9ee3be  samplv1-svn671.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 


+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so) in some of the dynamic linker's default paths.
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 The package doesn't include a %{name}.desktop file.
+ The package does not own files or directories already owned by other packages.
0 At the beginning of %install, the package  does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ All filenames in rpm packages are valid UTF-8.


Please, fix Source0 link before importing. This package is

APPROVED.
Comment 5 Brendan Jones 2012-07-17 11:13:50 EDT
Thanks for the review! Upstream have released a newer version, thus the source error.

New Package SCM Request
=======================
Package Name: samplv1
Short Description: polyphonic sampler synthesizer with stereo fx
Owners: bsjones
Branches: f16 f17
InitialCC:
Comment 6 Gwyn Ciesla 2012-07-17 23:18:51 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-07-26 01:01:45 EDT
samplv1-0.0.8-0.1.svn759.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samplv1-0.0.8-0.1.svn759.fc17
Comment 8 Fedora Update System 2012-07-26 18:29:24 EDT
samplv1-0.0.8-0.1.svn759.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-08-13 20:49:22 EDT
samplv1-0.0.8-0.1.svn759.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.